# GstJpeg2000Sampling

## Functions

### gst_jpeg2000_colorspace_from_string

    GstJPEG2000Colorspace
    gst_jpeg2000_colorspace_from_string (const gchar * colorspace_string)

Parameters:

`colorspace_string` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_colorspace_from_string

    function GstCodecParsers.prototype.jpeg2000_colorspace_from_string(colorspace_string: String): {
        // javascript wrapper for 'gst_jpeg2000_colorspace_from_string'
    }

Parameters:

`colorspace_string` (String) –
No description available
Returns (GstCodecParsers.JPEG2000Colorspace) –
No description available

### GstCodecParsers.jpeg2000_colorspace_from_string

    def GstCodecParsers.jpeg2000_colorspace_from_string (colorspace_string):
        #python wrapper for 'gst_jpeg2000_colorspace_from_string'

Parameters:

`colorspace_string` (str) –
No description available
Returns (GstCodecParsers.JPEG2000Colorspace) –
No description available

### gst_jpeg2000_colorspace_to_string

    const gchar *
    gst_jpeg2000_colorspace_to_string (GstJPEG2000Colorspace colorspace)

Parameters:

`colorspace` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_colorspace_to_string

    function GstCodecParsers.prototype.jpeg2000_colorspace_to_string(colorspace: GstCodecParsers.JPEG2000Colorspace): {
        // javascript wrapper for 'gst_jpeg2000_colorspace_to_string'
    }

Parameters:

`colorspace` (GstCodecParsers.JPEG2000Colorspace) –
No description available
Returns (String) –
No description available

### GstCodecParsers.jpeg2000_colorspace_to_string

    def GstCodecParsers.jpeg2000_colorspace_to_string (colorspace):
        #python wrapper for 'gst_jpeg2000_colorspace_to_string'

Parameters:

`colorspace` (GstCodecParsers.JPEG2000Colorspace) –
No description available
Returns (str) –
No description available

### gst_jpeg2000_sampling_from_string

    GstJPEG2000Sampling
    gst_jpeg2000_sampling_from_string (const gchar * sampling_string)

Parameters:

`sampling_string` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_sampling_from_string

    function GstCodecParsers.prototype.jpeg2000_sampling_from_string(sampling_string: String): {
        // javascript wrapper for 'gst_jpeg2000_sampling_from_string'
    }

Parameters:

`sampling_string` (String) –
No description available
Returns (GstCodecParsers.JPEG2000Sampling) –
No description available

### GstCodecParsers.jpeg2000_sampling_from_string

    def GstCodecParsers.jpeg2000_sampling_from_string (sampling_string):
        #python wrapper for 'gst_jpeg2000_sampling_from_string'

Parameters:

`sampling_string` (str) –
No description available
Returns (GstCodecParsers.JPEG2000Sampling) –
No description available

### gst_jpeg2000_sampling_is_mono

    gboolean
    gst_jpeg2000_sampling_is_mono (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_sampling_is_mono

    function GstCodecParsers.prototype.jpeg2000_sampling_is_mono(sampling: GstCodecParsers.JPEG2000Sampling): {
        // javascript wrapper for 'gst_jpeg2000_sampling_is_mono'
    }

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (Number) –
No description available

### GstCodecParsers.jpeg2000_sampling_is_mono

    def GstCodecParsers.jpeg2000_sampling_is_mono (sampling):
        #python wrapper for 'gst_jpeg2000_sampling_is_mono'

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (bool) –
No description available

### gst_jpeg2000_sampling_is_rgb

    gboolean
    gst_jpeg2000_sampling_is_rgb (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_sampling_is_rgb

    function GstCodecParsers.prototype.jpeg2000_sampling_is_rgb(sampling: GstCodecParsers.JPEG2000Sampling): {
        // javascript wrapper for 'gst_jpeg2000_sampling_is_rgb'
    }

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (Number) –
No description available

### GstCodecParsers.jpeg2000_sampling_is_rgb

    def GstCodecParsers.jpeg2000_sampling_is_rgb (sampling):
        #python wrapper for 'gst_jpeg2000_sampling_is_rgb'

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (bool) –
No description available

### gst_jpeg2000_sampling_is_yuv

    gboolean
    gst_jpeg2000_sampling_is_yuv (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_sampling_is_yuv

    function GstCodecParsers.prototype.jpeg2000_sampling_is_yuv(sampling: GstCodecParsers.JPEG2000Sampling): {
        // javascript wrapper for 'gst_jpeg2000_sampling_is_yuv'
    }

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (Number) –
No description available

### GstCodecParsers.jpeg2000_sampling_is_yuv

    def GstCodecParsers.jpeg2000_sampling_is_yuv (sampling):
        #python wrapper for 'gst_jpeg2000_sampling_is_yuv'

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (bool) –
No description available

### gst_jpeg2000_sampling_to_string

    const gchar *
    gst_jpeg2000_sampling_to_string (GstJPEG2000Sampling sampling)

Parameters:

`sampling` –
No description available
Returns –
No description available

### GstCodecParsers.prototype.jpeg2000_sampling_to_string

    function GstCodecParsers.prototype.jpeg2000_sampling_to_string(sampling: GstCodecParsers.JPEG2000Sampling): {
        // javascript wrapper for 'gst_jpeg2000_sampling_to_string'
    }

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (String) –
No description available

### GstCodecParsers.jpeg2000_sampling_to_string

    def GstCodecParsers.jpeg2000_sampling_to_string (sampling):
        #python wrapper for 'gst_jpeg2000_sampling_to_string'

Parameters:

`sampling` (GstCodecParsers.JPEG2000Sampling) –
No description available
Returns (str) –
No description available

## Enumerations

### GstJPEG2000Colorspace

##### Members

`GST_JPEG2000_COLORSPACE_NONE` (0) –

no color space

`GST_JPEG2000_COLORSPACE_RGB` (1) –

standard RGB color space

`GST_JPEG2000_COLORSPACE_YUV` (2) –

standard YUV color space

`GST_JPEG2000_COLORSPACE_GRAY` (3) –

monochrome color space

### GstCodecParsers.JPEG2000Colorspace

##### Members

`GstCodecParsers.JPEG2000Colorspace.NONE` (0) –

no color space

`GstCodecParsers.JPEG2000Colorspace.RGB` (1) –

standard RGB color space

`GstCodecParsers.JPEG2000Colorspace.YUV` (2) –

standard YUV color space

`GstCodecParsers.JPEG2000Colorspace.GRAY` (3) –

monochrome color space

### GstCodecParsers.JPEG2000Colorspace

##### Members

`GstCodecParsers.JPEG2000Colorspace.NONE` (0) –

no color space

`GstCodecParsers.JPEG2000Colorspace.RGB` (1) –

standard RGB color space

`GstCodecParsers.JPEG2000Colorspace.YUV` (2) –

standard YUV color space

`GstCodecParsers.JPEG2000Colorspace.GRAY` (3) –

monochrome color space

### GstJPEG2000Sampling

Sampling values from RF 5371 for JPEG 2000 over RTP : https://datatracker.ietf.org/doc/rfc5371/C Note: sampling extensions that are not listed in the RFC are signified by an _EXT at the end of the enum

##### Members

`GST_JPEG2000_SAMPLING_NONE` (0) –

no sampling

`GST_JPEG2000_SAMPLING_RGB` (1) –

standard Red, Green, Blue color space.

`GST_JPEG2000_SAMPLING_BGR` (2) –

standard Blue, Green, Red color space.

`GST_JPEG2000_SAMPLING_RGBA` (3) –

standard Red, Green, Blue, Alpha color space.

`GST_JPEG2000_SAMPLING_BGRA` (4) –

standard Blue, Green, Red, Alpha color space.

`GST_JPEG2000_SAMPLING_YBR444` (5) –

standard YCbCr color space; no subsampling.

`GST_JPEG2000_SAMPLING_YBR422` (6) –

standard YCbCr color space; Cb and Cr are subsampled horizontally by 1/2.

`GST_JPEG2000_SAMPLING_YBR420` (7) –

standard YCbCr color space; Cb and Cr are subsampled horizontally and vertically by 1/2.

`GST_JPEG2000_SAMPLING_YBR410` (8) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4 alternating the Cb and Cr component.

`GST_JPEG2000_SAMPLING_GRAYSCALE` (9) –

basically, a single component image of just multilevels of grey.

`GST_JPEG2000_SAMPLING_YBRA4444_EXT` (10) –

standard YCbCr color space, alpha channel, no subsampling,

`GST_JPEG2000_SAMPLING_YBR411` (11) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4

(Since: 1.20)

### GstCodecParsers.JPEG2000Sampling

Sampling values from RF 5371 for JPEG 2000 over RTP : https://datatracker.ietf.org/doc/rfc5371/C Note: sampling extensions that are not listed in the RFC are signified by an _EXT at the end of the enum

##### Members

`GstCodecParsers.JPEG2000Sampling.NONE` (0) –

no sampling

`GstCodecParsers.JPEG2000Sampling.RGB` (1) –

standard Red, Green, Blue color space.

`GstCodecParsers.JPEG2000Sampling.BGR` (2) –

standard Blue, Green, Red color space.

`GstCodecParsers.JPEG2000Sampling.RGBA` (3) –

standard Red, Green, Blue, Alpha color space.

`GstCodecParsers.JPEG2000Sampling.BGRA` (4) –

standard Blue, Green, Red, Alpha color space.

`GstCodecParsers.JPEG2000Sampling.YBR444` (5) –

standard YCbCr color space; no subsampling.

`GstCodecParsers.JPEG2000Sampling.YBR422` (6) –

standard YCbCr color space; Cb and Cr are subsampled horizontally by 1/2.

`GstCodecParsers.JPEG2000Sampling.YBR420` (7) –

standard YCbCr color space; Cb and Cr are subsampled horizontally and vertically by 1/2.

`GstCodecParsers.JPEG2000Sampling.YBR410` (8) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4 alternating the Cb and Cr component.

`GstCodecParsers.JPEG2000Sampling.GRAYSCALE` (9) –

basically, a single component image of just multilevels of grey.

`GstCodecParsers.JPEG2000Sampling.YBRA4444_EXT` (10) –

standard YCbCr color space, alpha channel, no subsampling,

`GstCodecParsers.JPEG2000Sampling.YBR411` (11) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4

(Since: 1.20)

### GstCodecParsers.JPEG2000Sampling

Sampling values from RF 5371 for JPEG 2000 over RTP : https://datatracker.ietf.org/doc/rfc5371/C Note: sampling extensions that are not listed in the RFC are signified by an _EXT at the end of the enum

##### Members

`GstCodecParsers.JPEG2000Sampling.NONE` (0) –

no sampling

`GstCodecParsers.JPEG2000Sampling.RGB` (1) –

standard Red, Green, Blue color space.

`GstCodecParsers.JPEG2000Sampling.BGR` (2) –

standard Blue, Green, Red color space.

`GstCodecParsers.JPEG2000Sampling.RGBA` (3) –

standard Red, Green, Blue, Alpha color space.

`GstCodecParsers.JPEG2000Sampling.BGRA` (4) –

standard Blue, Green, Red, Alpha color space.

`GstCodecParsers.JPEG2000Sampling.YBR444` (5) –

standard YCbCr color space; no subsampling.

`GstCodecParsers.JPEG2000Sampling.YBR422` (6) –

standard YCbCr color space; Cb and Cr are subsampled horizontally by 1/2.

`GstCodecParsers.JPEG2000Sampling.YBR420` (7) –

standard YCbCr color space; Cb and Cr are subsampled horizontally and vertically by 1/2.

`GstCodecParsers.JPEG2000Sampling.YBR410` (8) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4 alternating the Cb and Cr component.

`GstCodecParsers.JPEG2000Sampling.GRAYSCALE` (9) –

basically, a single component image of just multilevels of grey.

`GstCodecParsers.JPEG2000Sampling.YBRA4444_EXT` (10) –

standard YCbCr color space, alpha channel, no subsampling,

`GstCodecParsers.JPEG2000Sampling.YBR411` (11) –

standard YCbCr color space; Cb and Cr are subsampled vertically by 1/4

(Since: 1.20)

## Constants

### GST_JPEG2000_COLORSPACE_LIST

    #define GST_JPEG2000_COLORSPACE_LIST "colorspace = (string) { \"sRGB\", \"sYUV\", \"GRAY\" }"

### GstCodecParsers.JPEG2000_COLORSPACE_LIST

### GST_JPEG2000_SAMPLING_LIST

    #define GST_JPEG2000_SAMPLING_LIST "sampling = (string) {\"RGB\", \"BGR\", \"RGBA\", \"BGRA\", \"YCbCr-4:4:4\", \"YCbCr-4:2:2\", \"YCbCr-4:2:0\", \"YCbCr-4:1:1\", \"YCbCr-4:1:0\", \"GRAYSCALE\" , \"YCbCrA-4:4:4:4\"}"

### GstCodecParsers.JPEG2000_SAMPLING_LIST

The results of the search are